# e-Durable cdist workdir

This repository provides an easy way to pull and sync the various components
making up our cdist environment. It makes use of
[myrepos](https://myrepos.branchable.com/), which is packaged in most
distributions.

## Usage

```
# First of all, clone this repository.
git clone https://code.recycled.cloud/e-Durable/cdist-workdir.git

# Make sure myrepos is available.
mr help

# Fetch components.
cd cdist-workir
mr update

# Configure cdist to look for types in our components.
# Note: you can also use the -g flag or the CDIST_CONFIG_FILE environment variable.
cp cdist.cfg ~/.cdist.cfg

# Use cdist as usual, from the cdist-workir repository!
cdist config -v [...]
```
